
<div class="form-row border-bottom-secondary mb-2">
  <div class="form-group col-12">
    <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-users-cog mr-2"></span><span>Permisos</span></h5>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-4">
    <select class="custom-select custom-select-sm" [(ngModel)]="tFiltroActual">
      <option *ngFor="let tFiltro of tFiltros" [ngValue]="tFiltro">{{tFiltro.Filtro}}</option>
    </select>
  </div>
  <div class="form-group col-12 col-lg-8">
    <input class="form-control form-control-sm" type="text" placeholder="Ingrese busqueda" [(ngModel)]="tFiltroBusqueda"/>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-8">
    <div class="row">
      <div class="col-12">
        <div class="table-responsive">
          <table class="table table-sm table-striped table-hover">
            <thead>
              <tr class="align-middle">
                <th></th>
                <th>
                  <h6 class="font-weight-bold text-nowrap">Descripción</h6>
                </th>
                <th>
                  <h6 class="font-weight-bold text-nowrap">Descripción2</h6>
                </th>
                <th>
                  <div class="PermisosCheck">
                    <label class="PermisosCheck--Etiqueta" for="chkAgregarTodos">Agregar</label>
                  </div>
                </th>
                <th>
                  <div class="PermisosCheck">
                    <label class="PermisosCheck--Etiqueta" for="chkEditarTodos">Editar</label>
                  </div>
                </th>
                <th>
                  <div class="PermisosCheck">
                    <label class="PermisosCheck--Etiqueta" for="chkEliminarTodos">Eliminar</label>
                  </div>
                </th>
                <th>
                  <div class="PermisosCheck">
                    <label class="PermisosCheck--Etiqueta" for="chkImprimirTodos">Imprimir</label>
                  </div>
                </th>
                <th>
                  <div class="PermisosCheck">
                    <label class="PermisosCheck--Etiqueta" for="chkPermisoTodos">Permiso</label>
                  </div>
                </th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let tFormulario of tFormularios | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPaginaFormulario-1) * tTamanoPagFormulario : (tPaginaFormulario-1) * tTamanoPagFormulario + tTamanoPagFormulario ; let jv = index">
                <td>
                  <button class="btn btn-sm btn-outline-info" type="button" (click)="SeleccionarFormulario(tFormulario)"><span class="fas fa-eye"></span></button>
                </td>
                <td>
                  <h6 class="text-nowrap">{{ tFormulario.Descripcion }}</h6>
                </td>
                <td>
                  <h6 class="text-nowrap">{{ tFormulario.Descripcion2 }}</h6>
                </td>
                <td class="text-center">
                  <input class="form-check-input-text-center" id="chkAgregar" type="checkbox" #chkAgregar="" ng-true-value="1" ng-false-value="0" [checked]="tFormulario.Agregar" [disabled]="true" name="AgregarCheck1"/>
                </td>
                <td class="text-center">
                  <input class="form-check-input-text-center" id="chkEditar" type="checkbox" #chkEditar="" ng-true-value="1" ng-false-value="0" [checked]="tFormulario.Editar" [disabled]="true" name="EditarCheck1"/>
                </td>
                <td class="text-center">
                  <input class="form-check-input-text-center" id="chkEliminar" type="checkbox" #chkEliminar="" ng-true-value="1" ng-false-value="0" [checked]="tFormulario.Eliminar" [disabled]="true" name="EliminarCheck1"/>
                </td>
                <td class="text-center">
                  <input class="form-check-input-text-center" id="chkImprimir" type="checkbox" #chkImprimir="" ng-true-value="1" ng-false-value="0" [disabled]="true" [checked]="tFormulario.Imprimir" name="ImprimirCheck1"/>
                </td>
                <td class="text-center">
                  <input class="form-check-input-text-center" id="chkPermiso" type="checkbox" #chkPermiso="" ng-true-value="1" ng-false-value="0" [disabled]="true" [checked]="tFormulario.Permiso" name="PermisoCheck1"/>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <div class="row mt-2">
      <div class="col-12">
        <ngb-pagination class="d-flex justify-content-center" aria-label="Default pagination" [collectionSize]="tFormularios.length" [(page)]="tPaginaFormulario" [rotate]="true" [ellipses]="false" [boundaryLinks]="true" [maxSize]="10" [pageSize]="tTamanoPagFormulario"></ngb-pagination>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-4">
    <ng-container *ngIf="this.tFormularioActual.LTareas.length &lt;= 0"><img class="img-fluid text-center" src="assets/NoData.svg"/></ng-container>
    <ng-container *ngIf="this.tFormularioActual.LTareas.length &gt; 0">
      <div class="form-row">
        <div class="form-group col-12">
          <div class="row">
            <div class="col">
              <h5 class="text-center card-title"><span>{{ tFormularioActual.Descripcion }}</span></h5>
            </div>
          </div>
          <div class="row">
            <div class="col">
              <h6 class="card-title mb-0 text-gray-800"><span>Tareas adicionales</span></h6>
            </div>
          </div>
        </div>
      </div>
      <div class="form-row" *ngFor="let tTarea of tFormularioActual.LTareas | slice: (tPaginaFormularioTareas-1) * tTamanoPagFormularioTareas : (tPaginaFormularioTareas-1) * tTamanoPagFormularioTareas + tTamanoPagFormularioTareas ; let jv = index">
        <div class="form-group col-12">
          <div class="card shadow-sm h-100 border-left-primary">
            <div class="card-body">
              <div class="row no-gutters align-items-center">
                <div class="col-auto mr-1">
                  <input class="form-check-input-text-center" id="chkTarea" type="checkbox" chkTarea="" ng-true-value="1" ng-false-value="0" [checked]="tTarea.Asignado" [disabled]="true"/>
                  <label class="PermisosCheck--Etiqueta" for="{{ tTarea.Codtarea }}"> </label>
                </div>
                <div class="col mr-2">
                  <div class="text-xs h6 mb-0 font-weight-bold text-gray-800">{{ tTarea.Descripcion }}</div>
                </div>
                <div class="col-auto">
                  <div class="fas fa-tasks fa-2x text-gray-300"></div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="row mt-2">
        <div class="col-12">
          <ngb-pagination class="d-flex justify-content-center" aria-label="Default pagination" [collectionSize]="tFormularioActual.LTareas.length" [(page)]="tPaginaFormularioTareas" [rotate]="true" [ellipses]="false" [boundaryLinks]="true" [maxSize]="10" [pageSize]="tTamanoPagFormularioTareas"></ngb-pagination>
        </div>
      </div>
    </ng-container>
  </div>
</div>